List documents in a project
curl --request GET \
--url https://app.myhero.so/document/all/{projectId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.myhero.so/document/all/{projectId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.myhero.so/document/all/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"_id": "<string>",
"parentId": "<string>",
"projectId": "<string>",
"userId": "<string>",
"workspaceId": "<string>",
"name": "<string>",
"createdAt": 123,
"updatedAt": 123,
"description": "<string>",
"reference": "<string>",
"isPublished": false,
"publishedSettings": {
"publishedById": "<string>",
"publishedAt": 123,
"styling": {},
"domainSlug": "<string>"
},
"external": {
"type": "PDF",
"resourcePath": "<string>",
"resourceId": "<string>"
},
"icon": {
"name": "<string>",
"color": "<string>"
},
"emoji": {
"unified": "<string>",
"emojiStyle": "<string>"
},
"collaborators": [
{
"userId": "<string>"
}
],
"isDeleted": false
}
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Documents
List documents in a project
Lists all documents belonging to projectId.
Pass includeCollaborators=true to include per-document collaborator arrays (requires owner or admin role).
Pass includeFolders=true to include folder-type documents in the result.
GET
/
document
/
all
/
{projectId}
List documents in a project
Authorizations
HERO personal access token
Path Parameters
Minimum string length:
1Query Parameters
Available options:
true, false Available options:
true, false Response
200 response
Show child attributes
Show child attributes
⌘I